org.eclipse.ease.lang.python.debugger

## Interface ICodeTracer

All Known Subinterfaces:
  ICodeTraceFilter

All Known Implementing Classes:
  JythonCodeTracer

    public interface ICodeTracer

Interface for execution tracing in Python. This object is the link between Eclipse and the Python implementation.

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.Object` `run(Script script, java.lang.String filename)` Runs the given script via the code tracer in Python.

### Method Detail

#### run

    java.lang.Object run(Script script,
                         java.lang.String filename)

Runs the given script via the code tracer in Python.

Parameters:
  `script` - Script to be run via code tracer.
  `filename` - Filename for script.